package cn.estsh.i3plus.pojo.wms.repository;

import cn.estsh.i3plus.pojo.base.jpa.dao.BaseRepository;
import cn.estsh.i3plus.pojo.wms.bean.WmsActionStepCallParam;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.query.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @Description :
 * @Reference :
 * @Author : jessica.chen
 * @CreateDate : 2018-11-23 15:00
 * @Modify:
 **/
@Repository
public interface WmsActionStepCallParamRepository extends BaseRepository<WmsActionStepCallParam, Long> {
    @Query("select ascp from wms_action_step_call_param ascp inner join  wms_action_group_details agd on ascp.agdId=agd.id where agd.agId =: agId")
    List<WmsActionStepCallParam> queryWmsActionStepCallParamsByAgId(@Param("agId") Long agId);
}
